@echo off
REM Creates zip files for 16-bit, 32-bit or both editions of TextPad.
REM Usage:
REM      MAKEZIP -16 path   creates path\TPAD16.ZIP with 16-bit edition
REM      MAKEZIP -32 path   creates path\TPAD32.ZIP with 32-bit edition
REM      MAKEZIP nnn path   creates path\TXPADnnn.ZIP with both editions
REM                         nnn should be the version number (eg. 129)
REM

if "%2%" == "" goto usage
set DIR=%2%

if not "%1" == "-16" goto try32
set MODE=16
set ZIPFILE=%DIR%\tpad16.zip
goto common

:try32
if not "%1" == "-32" goto tryboth
set MODE=32
set ZIPFILE=%DIR%\tpad32.zip
goto common

:tryboth
if not "%1" == "" goto setboth

:usage
@echo Usage: MAKEZIP -16 or -32 or nnn  path
goto exit

:setboth
set MODE=1632
set ZIPFILE=%DIR%\txpad%1%.zip

:common
set COMMON1=readme.txt license.txt register.txt filelist.txt features.txt
set COMMON2=file_id.diz vendinfo.diz textpad.hlp txtpad.pif

@echo Making zip file %ZIPFILE%
if exist %ZIPFILE% del %ZIPFILE%
pkzip %ZIPFILE% %COMMON1%
pkzip -a %ZIPFILE% %COMMON2%

if %MODE% == 32 goto do32
pkzip -a %ZIPFILE% txtpad16.ex_ ddeopn16.exe ctl3dv2.dll
if %MODE% == 1632 goto do32
pkzip -oa %ZIPFILE% setup.exe win16\setup.cfg
goto finish

:do32
pkzip -a %ZIPFILE% txtpad32.ex_ ddeopn32.exe ut16.dll ut32.dll ctl3d32.dll ctl3d32s.dll 
if %MODE% == 1632 goto doboth
pkzip -oa %ZIPFILE% setup.exe win32\setup.cfg
goto finish

:doboth
pkzip -oa %ZIPFILE% setup.exe setup.cfg

:finish
set COMMON1=
set COMMON2=
set ZIPFILE=
set MODE=
:exit
